Name:          lttng-ust
Version:       2.13.9
Release:       1mamba
Summary:       Library allows any C/C++ application to be instrumented for and traced by LTTng
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://lttng.org
Source:        http://lttng.org/files/lttng-ust/lttng-ust-%{version}.tar.bz2
Patch0:        lttng-ust-2.13.1-python3.patch
License:       LGPL, MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libnuma-devel
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END
BuildRequires: liburcu-devel
BuildRequires: systemtap-sdt-devel
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
The LTTng User Space Tracing (LTTng-UST) library allows any C/C++ application to be instrumented for and traced by LTTng.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%package -n python-lttngust
Group:         System/Libraries/Python
Summary:       Python bindings for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n python-lttngust
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q
%patch 0 -p1

autoreconf -f -i

%build
%ifarch arm aarch64
export CPPFLAGS="-DUATOMIC_NO_LINK_ERROR"
%endif

%configure \
	--disable-static \
	--enable-python-agent \
	--with-sdt \
	PYTHON=%{__python3} \
%ifarch arm aarch64
    --disable-numa
%else
    --enable-numa
%endif

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"



%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/liblttng-ust-*.so.*
%{_libdir}/liblttng-ust.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_bindir}/lttng-gen-tp
%dir %{_includedir}/lttng
%{_includedir}/lttng/*
%{_libdir}/liblttng-ust-*.so
%{_libdir}/liblttng-ust.so
%{_libdir}/pkgconfig/lttng-ust-ctl.pc
%{_libdir}/pkgconfig/lttng-ust.pc
%dir %{_datadir}/doc/lttng-ust
%{_datadir}/doc/lttng-ust/*
%{_mandir}/man1/lttng-gen-tp.1*
%{_mandir}/man3/do_tracepoint.3*
%{_mandir}/man3/lttng*.3*
%{_mandir}/man3/tracef.3*
%{_mandir}/man3/tracelog.3*
%{_mandir}/man3/tracepoint.3*
%{_mandir}/man3/tracepoint_enabled.3*
%doc ChangeLog README.md

%files -n python-lttngust
%defattr(-,root,root)
%{python3_sitelib}/lttngust-%{version}-py*.egg-info
%dir %{python3_sitelib}/lttngust
%{python3_sitelib}/lttngust/*

%changelog
* Tue Apr 15 2025 Automatic Build System <autodist@openmamba.org> 2.13.9-1mamba
- automatic version update by autodist

* Sat Apr 20 2024 Automatic Build System <autodist@openmamba.org> 2.13.8-1mamba
- automatic version update by autodist

* Fri Jan 12 2024 Automatic Build System <autodist@openmamba.org> 2.13.7-1mamba
- automatic version update by autodist

* Fri Jun 09 2023 Automatic Build System <autodist@mambasoft.it> 2.13.6-1mamba
- automatic version update by autodist

* Sun Oct 02 2022 Automatic Build System <autodist@mambasoft.it> 2.13.5-1mamba
- automatic version update by autodist

* Sat Aug 20 2022 Automatic Build System <autodist@mambasoft.it> 2.13.4-1mamba
- automatic version update by autodist

* Sat Jun 04 2022 Automatic Build System <autodist@mambasoft.it> 2.13.3-1mamba
- automatic version update by autodist

* Sat Mar 26 2022 Automatic Build System <autodist@mambasoft.it> 2.13.2-1mamba
- automatic version update by autodist

* Wed Jan 12 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.13.1-2mamba
- enable python agent and sdt

* Sat Dec 11 2021 Automatic Build System <autodist@mambasoft.it> 2.13.1-1mamba
- automatic version update by autodist

* Sun Aug 15 2021 Automatic Build System <autodist@mambasoft.it> 2.13.0-1mamba
- automatic version update by autodist

* Tue May 18 2021 Automatic Build System <autodist@mambasoft.it> 2.12.2-1mamba
- automatic version update by autodist

* Fri Feb 19 2021 Automatic Build System <autodist@mambasoft.it> 2.12.1-1mamba
- automatic version update by autodist

* Sun Jun 21 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.12.0-1mamba
- package created using the webbuild interface
